"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InitListeners = void 0;
var events_1 = require("./events");
var io_shared_1 = require("./io.shared");
function InitListeners(socket) {
    socket.on(events_1.UPDATE_TRANSCRIPTION, function (data) {
        io_shared_1.SendEventToAllUsersVcc(events_1.UPDATE_TRANSCRIPTION, null, data.vcc);
    });
    socket.on(events_1.UPDATE_EVALUATION_PLAN, function (data) {
        io_shared_1.SendEventToAllUsersVcc(events_1.UPDATE_EVALUATION_PLAN, null, data.vcc);
    });
    socket.on(events_1.UPDATE_STUDY, function (data) {
        io_shared_1.SendEventToAllUsersVcc(events_1.UPDATE_STUDY, null, data.vcc);
    });
    socket.on(events_1.UPDATE_TEMPLATE, function (data) {
        io_shared_1.SendEventToAllUsersVcc(events_1.UPDATE_TEMPLATE, null, data.vcc);
    });
    socket.on(events_1.UPDATE_NLU_STATUS, function (data) {
        io_shared_1.SendEventToAllUsersVcc(events_1.UPDATE_NLU_STATUS, null, data.vcc);
    });
}
exports.InitListeners = InitListeners;
