"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PromiseTimeOut = exports.SleepPromise = exports.DummyPromise = void 0;
function DummyPromise() {
    return new Promise(function (resolve, reject) {
        resolve(true);
    });
}
exports.DummyPromise = DummyPromise;
function SleepPromise(secondTime) {
    return new Promise(function (resolve, reject) {
        setTimeout(resolve, (1000 * secondTime));
    });
}
exports.SleepPromise = SleepPromise;
function PromiseTimeOut(ms, promise) {
    var timeout = new Promise(function (resolve, reject) {
        var id = setTimeout(function () {
            clearTimeout(id);
            resolve(null);
        }, ms);
    });
    return Promise.race([
        promise,
        timeout
    ]);
}
exports.PromiseTimeOut = PromiseTimeOut;
